Subject: Re: Bash Environment (Was: Bash history?)
From: [email-masked] (Wei Ku)

16 Sep 1997 22:10:12 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Michael A. Chase" <[email-masked]>, <[email-masked]>

 Only th login shell will read the .bash_profile. To run bash as a login
shell try:
bash -login

Wei ku

-----Original Message-----
From: Michael A. Chase <[email-masked]>
To: Sergey Okhapkin <[email-masked]>; [email-masked]
<[email-masked]>; 'Andy Piper' <[email-masked]>
Date: Tuesday, September 16, 1997 8:49 PM
Subject: Bash Environment (Was: Bash history?)

>I have similar problems.  It appears that the only environment variable
>that gets changed from MSDOS form to UNIX form is $PATH.  All the others
>keep their backslashes and semicolons.
>
>I put code in /etc/profile to fix the environment (attached).
>Unfortunately, I have never seen /etc/profile run by default so I added a
>check for it to .bashrc (which does work) to run both /etc/profile and
>.bash_profile.
>
>Is there something else I should be doing to get the correct environment
>at bash startup?
>
>Mac :})
>-----Original Message-----
>From: Sergey Okhapkin <[email-masked]>
>To: [email-masked] <[email-masked]>; 'Andy Piper'
><[email-masked]>
>Date: Sunday, September 07, 1997 22:02
>Subject: RE: Bash history?
>
>
>
>>Andy Piper wrote:
>>> 1) ~ seems to be interpreted wrongly. If I do `cd ~' I get:
>>> bash.exe: C:WINNTProfilesandyp: No such file or directory
>>> cd $HOME works fine. Somehow the /'s are getting stripped out.
>>
>>I'm sure, there are backslashes instead of slashes in your HOME env.
>var. Set HOME to
>>c:/WINNT/Profiles/andyp.
>>
>>>
>>> 2) History is not preserved between sessions. Although bash
>>> writes out a history file - .bash_history - correctly. It is not read
>when
>>
>>Fix the first problem, and the second one should came out.
>>
>>--
>>Sergey Okhapkin, http://www.lexa.ru/sos
>>Moscow, Russia
>>Looking for a job
>
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".